package com.fs.hisStore.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.hisStore.domain.FsUserScrm;
import com.fs.hisStore.domain.FsUserOnlineStateScrm;

/**
 * 用户上线情况Mapper接口
 *
 * @author fs
 * @date 2025-06-30
 */
public interface FsUserOnlineStateScrmMapper extends BaseMapper<FsUserOnlineStateScrm>{
    /**
     * 查询用户上线情况
     *
     * @param userId 用户上线情况主键
     * @return 用户上线情况
     */
    FsUserOnlineStateScrm selectFsUserOnlineStateById(Long userId);

    /**
     * 查询用户上线情况列表
     *
     * @param fsUserOnlineState 用户上线情况
     * @return 用户上线情况集合
     */
    List<FsUserOnlineStateScrm> selectFsUserOnlineStateList(FsUserOnlineStateScrm fsUserOnlineState);

    /**
     * 新增用户上线情况
     *
     * @param fsUserOnlineState 用户上线情况
     * @return 结果
     */
    int insertFsUserOnlineState(FsUserOnlineStateScrm fsUserOnlineState);

    /**
     * 修改用户上线情况
     *
     * @param fsUserOnlineState 用户上线情况
     * @return 结果
     */
    int updateFsUserOnlineState(FsUserOnlineStateScrm fsUserOnlineState);

    /**
     * 删除用户上线情况
     *
     * @param userId 用户上线情况主键
     * @return 结果
     */
    int deleteFsUserOnlineStateById(Long userId);

    /**
     * 批量删除用户上线情况
     *
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsUserOnlineStateByIds(Long[] userIds);

    /**
     * 查询没有看课记录的用户
     * @return
     */
    List<FsUserOnlineStateScrm> selectUserNotOnline();

    /**
     * 查询短时间已经有且仅有一条看课记录的用户（查询的时间需要大于等于定时任务的时间）
     * @return
     */
    List<FsUserScrm> selectExistWatchLogUser();

}
